Subject: Re: bug#9516: imagemagick-register-types and image-file-name-extensions

From: Juri Linkov <[email-masked]>
Date: Wed, 25 Sep 2019 22:57:07 +0300

>> Then we could change the function `image-file-name-regexp'
>> that dynamically constructs a composite regexp from
>> `image-file-name-extensions' and `image-file-name-regexps'.
>> What we could do is to add to its return value a regexp added
>> in `imagemagick-register-types' to `image-type-file-name-regexps'
>> with the assoc value `imagemagick':
>
> [...]
>
>> +    (mapconcat
>> +     'identity
>> +     (delq nil (list exts-regexp
>> +		     image-file-name-regexps
>> +		     (car (rassq 'imagemagick image-type-file-name-regexps))))
>> +     "\\|")))
>>
>> This is a temporary solution for the next release of 24.1 that
>> will allow image-dired.el to display Imagemagick supported images.
>>
>> I think in 24.2, defcustoms in image-file.el should be deprecated
>> and packages should use `image-type-file-name-regexps' instead.
>
> This was seven years ago, but the patch wasn't applied.  I know that
> ImageMagick is slightly semi-deprecated now, but I think this patch
> possibly makes sense anyway.

There was no hurry in installing this because all widely used formats
are already presented in image-type-file-name-regexps.

> I don't use the Dired thumbnail stuff, though.  Did anybody have an
> objection to this that didn't land in the bug tracker?

Sorry, I can't confirm if the patch still works since I don't remember
how I tested it long ago, so not sure if this change might break something.